de.dhbwstuttgart.syntaxtree

## Interface Generic

All Known Implementing Classes:
  BasicAssumptionClass, Class, Constant, Constructor, Field, FieldDeclaration, FunNInterface, FunNMethod, Interface, Method

    public interface Generic

Wird von allen Klassen implementiert, welche generische Parameter halten kÃ¶nnen. (Class, Method und Field)

Author:
  janulrich

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Iterable<GenericTypeVar>` `getGenericParameter()`
`void` `setGenericParameter(GenericDeclarationList params)`

### Method Detail

#### setGenericParameter

    void setGenericParameter(GenericDeclarationList params)

#### getGenericParameter

    java.lang.Iterable<GenericTypeVar> getGenericParameter()